%define anolis_release 0.1
%{?!python_module:%define python_module() python3-%{**}}
Name:           python-abseil
Version:        0.13.0
Release:        1.%{anolis_release}%{?dist}
Summary:        Abseil Python Common Libraries
License:        Apache-2.0
URL:            https://github.com/abseil/abseil-py
Source0:        https://github.com/abseil/abseil-py/archive/refs/tags/pypi-v%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module six}
# /SECTION

%description
This package is a collection of Python library code for building Python
applications. The code is collected from Google's own Python code base, and has
been extensively tested and used in production.
* Simple application startup
* Distributed commandline flags system
* Custom logging module with additional features
* Testing utilities

%package -n python3-abseil
Summary:        Abseil Python Common Libraries
%description -n python3-abseil
This package is a collection of Python library code for building Python
applications. The code is collected from Google's own Python code base, and has
been extensively tested and used in production.
* Simple application startup
* Distributed commandline flags system
* Custom logging module with additional features
* Testing utilities

%prep
%setup -q -n abseil-py-pypi-v%{version}

%build
%py3_build

%install
%py3_install
%fdupes %{buildroot}%{python3_sitelib}

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} smoke_tests/sample_app.py --echo smoke 2>&1 | grep 'echo is smoke.'
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} smoke_tests/sample_test.py 2>&1 | grep 'msg_for_test'

%files -n python3-abseil
%license LICENSE
%doc README.md
%{python3_sitelib}/*

%changelog
* Mon Jul 12 2021 Weitao Zhou <yunqi.zwt@alibaba-inc.com> - 0.13.0-1.1
- Rebuild for Anolis OS
- Update to version 0.13.0
- Remove python2 support
